# DartApi

dart_api gem을 활용하면 [dart 공식사이트](http://dart.fss.or.kr/)에서 

상장기업의 재무정보를 좀 더 쉽게 가져올 수 있습니다.

[dart 공식사이트](http://dart.fss.or.kr/)에서 auth key를 우선 발급받아야 합니다.

현재 기업재무정보를 조회할 수 있는 화면의 url을 가져오는 것 까지만 지원을 하고 있으며,

이후 재무상태표, 손익계산서, 현금흐름표의 정보만을 따로 가져오는 것을 지원할 예정입니다.

## 설치
Add this line to your application's Gemfile:

```ruby
gem 'dart_api'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install dart_api

## 사용법

1. parser준비

	parser = DartApi::ReportParser.new(auth)

2. 회사코드를 입력하여 report parsing

	parser.parse(code)

3. 기업의 report 조회
	
	parser.reports

4. 해당 년도 재무정보 조회 url
	
	parser.report(year).url

